package com.company.testnesteddatasource.web.entity1;

import com.company.testnesteddatasource.entity.Entity2;
import com.haulmont.cuba.gui.components.AbstractEditor;
import com.company.testnesteddatasource.entity.Entity1;
import com.haulmont.cuba.gui.data.CollectionDatasource;

import javax.inject.Inject;
import java.util.Map;
import java.util.UUID;

public class Entity1Edit extends AbstractEditor<Entity1> {
    @Inject
    private CollectionDatasource<Entity2, UUID> entity2AtrDs;

    @Override
    public void init(Map<String, Object> params) {
        entity2AtrDs.addItemPropertyChangeListener(e -> {
            showNotification("DataSource was changed", NotificationType.HUMANIZED);
        });
        super.init(params);
    }

    @Override
    protected boolean preCommit() {
        if (entity2AtrDs.isModified()) {
            showNotification("PreCommit(): DataSource.isModified is True");
        }
        else showNotification("PreCommit(): DataSource.isModified is False");
        return super.preCommit();
    }
}