package com.company.testnesteddatasource.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;
import javax.persistence.Column;
import java.util.List;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;

@NamePattern("%s|name")
@Table(name = "TESTNESTEDDATASOURCE_ENTITY1")
@Entity(name = "testnesteddatasource$Entity1")
public class Entity1 extends StandardEntity {
    private static final long serialVersionUID = -56901766431268863L;

    @Column(name = "NAME")
    protected String name;

    @JoinTable(name = "TESTNESTEDDATASOURCE_ENTITY1_ENTITY2_LINK",
        joinColumns = @JoinColumn(name = "ENTITY1_ID"),
        inverseJoinColumns = @JoinColumn(name = "ENTITY2_ID"))
    @ManyToMany
    protected List<Entity2> entity2Atr;

    public void setEntity2Atr(List<Entity2> entity2Atr) {
        this.entity2Atr = entity2Atr;
    }

    public List<Entity2> getEntity2Atr() {
        return entity2Atr;
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }


}