package com.company.testnesteddatasource.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;

@NamePattern("%s|name")
@Table(name = "TESTNESTEDDATASOURCE_ENTITY2")
@Entity(name = "testnesteddatasource$Entity2")
public class Entity2 extends StandardEntity {
    private static final long serialVersionUID = 2713858048725206491L;

    @Column(name = "NAME")
    protected String name;

    @Column(name = "ENUM_ATTR")
    protected Integer enumAttr;

    public void setEnumAttr(Enum enumAttr) {
        this.enumAttr = enumAttr == null ? null : enumAttr.getId();
    }

    public Enum getEnumAttr() {
        return enumAttr == null ? null : Enum.fromId(enumAttr);
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }


}