package com.company.testnesteddatasource.entity;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum Enum implements EnumClass<Integer> {

    enumVal1(10),
    enumVal2(20);

    private Integer id;

    Enum(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static Enum fromId(Integer id) {
        for (Enum at : Enum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}